PublicKeyAndChallenge (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.mozilla

## Class PublicKeyAndChallenge

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.mozilla.PublicKeyAndChallenge

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PublicKeyAndChallenge
      extends ASN1Object

  This is designed to parse the PublicKeyAndChallenge created by the KEYGEN tag included by Mozilla based browsers.

        PublicKeyAndChallenge ::= SEQUENCE {
          spki SubjectPublicKeyInfo,
          challenge IA5STRING
        }

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DERIA5String` | `getChallenge()` Deprecated. Use `getChallengeIA5()` instead.
    `ASN1IA5String` | `getChallengeIA5()`
    `static PublicKeyAndChallenge` | `getInstance(java.lang.Object obj)`
    `SubjectPublicKeyInfo` | `getSubjectPublicKeyInfo()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PublicKeyAndChallenge getInstance(java.lang.Object obj)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getSubjectPublicKeyInfo

          public SubjectPublicKeyInfo getSubjectPublicKeyInfo()

    - #### getChallenge

          public DERIA5String getChallenge()

      Deprecated. Use `getChallengeIA5()` instead.

    - #### getChallengeIA5

          public ASN1IA5String getChallengeIA5()